Last Comment Bug 300749 - Switching folders doesn't work on 1st try/Click to mail folder displays messages not always [JS error in msgMail3PaneWindow.js::ClearMessagePane]
: Switching folders doesn't work on 1st try/Click to mail folder displays messa...
Status: VERIFIED FIXED
[fixed1.7.11]
: fixed1.7.11, regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: 1.7 Branch
: All All
: -- blocker with 3 votes (vote)
: ---
Assigned To: David :Bienvenu
:
Mentors:
: 300888 301376 301732 301918 301948 301996 301997 302138 302472 302522 302808 303101 303979 304773 (view as bug list)
Depends on: 301754
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 03:21 PDT by Raoul Nakhmanson-Kulish
Modified: 2006-02-06 13:56 PST (History)
32 users (show)
asa: blocking1.7.11+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
culprit patch from bug 294307 (6.85 KB, patch)
2005-07-22 07:44 PDT, Kai Engert (:kaie)
no flags Details | Diff | Review
crash backtrace during backout testing, just FYI (2.98 KB, text/plain)
2005-07-22 07:55 PDT, Kai Engert (:kaie)
no flags Details
proposed fix [Checkin: See comment 53] (828 bytes, patch)
2005-07-22 09:04 PDT, David :Bienvenu
bzbarsky: review+
mscott: superreview+
asa: approval1.7.11+
Details | Diff | Review

Description Raoul Nakhmanson-Kulish 2005-07-14 03:21:10 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.7.9) Gecko/20050712
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.7.9) Gecko/20050712

When I click to folder, I sometimes see content of previously selected folder,
not clicked.

Reproducible: Sometimes

Steps to Reproduce:
1. Pick a folder
2. See it content
3. Pick another folder

Actual Results:  
I see same content (of previous folder)

Expected Results:  
Show content of currently selected folder
Comment 1 Adam Guthrie 2005-07-15 10:33:50 PDT
*** Bug 300888 has been marked as a duplicate of this bug. ***
Comment 2 OstGote! 2005-07-18 22:38:57 PDT
Confirming with Mozilla 1.7.10 build 2005071607 on WinXP. I have switch twice to
update the folder's view. Last 1.7.9 build 2005071212 works for me. 

I see the following errors in the JS console:

Error: [Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)" 
location: "JS frame :: chrome://messenger/content/msgMail3PaneWindow.js ::
ClearMessagePane :: line 1099"  data: no]
Source File: chrome://messenger/content/msgMail3PaneWindow.js
Line: 1099

Error: uncaught exception: [Exception... "Failure"  nsresult: "0x80004005
(NS_ERROR_FAILURE)"  location: "JS frame ::
chrome://messenger/content/msgMail3PaneWindow.js :: ClearMessagePane :: line
1099"  data: no]

If I restart and delete before the xul.mfl it works until the next restart of
the app. It is very similiar to Bug 295040.
Comment 3 OstGote! 2005-07-18 22:46:41 PDT
(In reply to comment #2)
> Confirming with Mozilla 1.7.10 build 2005071607 on WinXP. I have switch twice to
> update the folder's view. Last 1.7.9 build 2005071212 works for me. 

Sorry, I believe the last version I used was build 2005070707. Other two reports
say 20050712 is broken.

checkins on 1.7 branch during the smallest known timeframe
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=MOZILLA_1_7_BRANCH&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-07-07+07%3A00&maxdate=2005-07-13+00%3A00&cvsroot=%2Fcvsroot
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-07-19 07:20:43 PDT
ccing people who checked in in there...
Comment 5 Chase Phillips 2005-07-19 10:11:59 PDT
David, Scott, could you take a look at this?  Have we gotten any reports of this
in Thunderbird 1.0.6 builds as well?
Comment 6 Zach Lipton [:zach] 2005-07-19 10:19:25 PDT
I can't reproduce this with the 106 candidate on OS X. Possibly Windows-only, or
just difficult to reproduce. 
Comment 7 David :Bienvenu 2005-07-19 10:39:06 PDT
my current 1.7.x debug build doesn't show this problem. I'm doing a repull and
build to see if it starts happening.
Comment 8 Chase Phillips 2005-07-19 10:46:50 PDT
If you switch back and forth does that get it to sync back up again?  Do you
have lots of junk mail or other kind of filtering going on when it doesn't sync?
Comment 9 Marcia Knous [:marcia - use ni] 2005-07-19 10:47:21 PDT
Reporter: Are you using POP or IMAP?
Comment 10 Zach Lipton [:zach] 2005-07-19 10:48:59 PDT
that's odd. Bugzilla seems to have decided that I changed this from
blocking1.7.10- to blocking1.7.10?. I had mid-aired and I think Bugzilla handled
that incorrectly (I'll file a bug on that later). Leaving it as a ? for now
since we actually do want to look at it a little more, but know that I wasn't
trying to change it at all. 
Comment 11 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-07-19 10:53:31 PDT
Which 3-pane layout do you use?  Do you have a start page in mail?
Comment 12 OstGote! 2005-07-19 11:21:46 PDT
My settings: 
POP3 Account, Local folder account. All received mails are filtered into the
local folders. Junk mail controls are active, but I don't receive spam usually.
I use the 3-pane layout where the full buttom pane is used for preview (upper
pane is divided for folder and message pane). The problem is for almost every
folder change. You have always switch and back and again to get the new folder
content (i.e. update of the message pane and preview pane).
Comment 13 OstGote! 2005-07-19 11:22:40 PDT
Forgot: I do not have a start page.
Comment 14 Tracy Walker [:tracy] 2005-07-19 11:39:45 PDT
I can not reproduce this with Mozilla 1.7.10 2005-07-19-09-1.7 --- Mozilla/5.0
(Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050719  I'm using the
default folders for an POP or IMAP account plus one user created subfolder in my
inbox for each.  Switching from one folder to the other displays the selected
folder contents as expected.

ostgote, please try reproducing it running Mozilla with a new profile.
Comment 15 David :Bienvenu 2005-07-19 14:15:41 PDT
I can't get this to happen. I've seen it before, but I can't reproduce it now.
Comment 16 OstGote! 2005-07-19 15:24:09 PDT
I did some testing: With my original profile and configuration I can reproduce
it with 2005071208 and later but not with 2005071007 and before. 
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=MOZILLA_1_7_BRANCH&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-07-10+07%3A00&maxdate=2005-07-12+08%3A00&cvsroot=%2Fcvsroot
The latest build I tested and which fails is 2005071808. 

But I cannot reproduce it with a plain new profile, classic theme and standard
POP3 account without any filters. Even if I tried to rebuild the filter
structure (move all incoming to a self-created Inbox folder on Local folders
account, all drafts/sent/template to local too) I cannot reproduce with that
profile.

So it is interesting to know the configuration from the two other reporters
<raoul@elforsoft.com> and <xsaarkphantom@gmail.com>. Please say us your
configuration (POP or IMAP, pane view, filters, accounts).

Steps to reproduce for my original config/profile:
You have start Mozilla at least two times (to have a xul.mfl). It affects only
folders which have "changed" (received mail, sent mail, moved or deleted mail).
Variant 1: Open Mailnews, go to say inbox (all Local Folders account), delete
one or two messages, try to switch to trash, bingo! No update, js exception.
Variant 2: Open Mailnews, go to Sent folder, open a message and forward it.
Close opened msg and try to switch to e.g. Inbox. Bingo. For both examples:
Switching between folders which are "unaffected" works as expected.

Hope this helps.
Comment 17 OstGote! 2005-07-19 16:08:50 PDT
*** Bug 301376 has been marked as a duplicate of this bug. ***
Comment 18 OstGote! 2005-07-19 16:09:20 PDT
It affects also IMAP, see last dupe bug 301376.
Comment 19 Scott MacGregor 2005-07-19 16:50:26 PDT
This looks an awful lot like a dupe of Bug 295040

which was addressing a regression caused by Bug 281988, "Stop sharing DOM object
wrappers between content and chrome"

Any chance 281988 was checked into the mozilla 1.7.9 release for some reason
without checking in 295040 onto the same branch?

Comment 20 Scott MacGregor 2005-07-19 17:05:54 PDT
(In reply to comment #19)
> Any chance 281988 was checked into the mozilla 1.7.9 release for some reason
> without checking in 295040 onto the same branch?

295040 isn't on the branch so that's not it. Maybe another security bug fix is
making window.location = about:blank fail.

See https://bugzilla.mozilla.org/show_bug.cgi?id=295040#c16 for an explanation
on what was causing ClearMessagePane to throw a similar error for Bug 295040 on
the trunk.

Comment 21 Raoul Nakhmanson-Kulish 2005-07-19 22:08:54 PDT
I have a 3-pane layout, my primary and secondary account are an IMAP servers
(primary is an Exchange 2000, secondary is a Lotus Domino via IMAP/SSL),
tertiary is a POP3 server. I don't use a start page. I use a Modern theme.

My mail filters transfer some messages to Local Folders.

The problem persists in all folders: both IMAP, POP3 and Local.

JavaScript console shows:
Error: uncaught exception: [Exception... "Failure"  nsresult: "0x80004005
(NS_ERROR_FAILURE)"  location: "JS frame ::
chrome://messenger/content/msgMail3PaneWindow.js :: ClearMessagePane :: line
1099"  data: no]

Yet another intimate bug (should I fill a new bug for it?): even if folder click
acts normally, the Subject field in preview pane doesn't change when I navigate
from one letter to another.


Comment 22 Raoul Nakhmanson-Kulish 2005-07-19 22:27:28 PDT
Yet some errors I get from JS console:
-----
Error: [Exception... "Component returned failure code: 0x80004003
(NS_ERROR_INVALID_POINTER) [nsIMsgMailNewsUrl.mimeHeaders]"  nsresult:
"0x80004003 (NS_ERROR_INVALID_POINTER)"  location: "JS frame ::
chrome://messenger/content/mailWindowOverlay.js :: HandleMDNResponse :: line
2112"  data: no]
Source File: chrome://messenger/content/mailWindowOverlay.js
Line: 2112
-----
Security Error: Content at
mailbox:///E|/Mozilla/Raoul/XXXXXXXX.slt/Mail/Local%20Folders/Bugzilla?number=305636
may not load or link to chrome://messenger/content/msgMail3PaneWindow.js.
-----
Error: uncaught exception: Load of
chrome://messenger/content/msgMail3PaneWindow.js denied.
Comment 23 Andrei 2005-07-20 00:50:12 PDT
Hello

I had the same 3-pane layout. I experienced this behavior every time the focus
was in one of the right panes (mail list or preview) and I tried to switch the
folder. Sometimes I noticed that the current mail in the preview pane didn't
change when the folder was changed.

I used an old profile that goes back to version 1.7.0 (maybe earlier).

When I open the email client it goes automatically to inbox in the first account.
I have one POP3, and two POP3 secure.

I use message filters, no junk mail controls. The email is sorted by thread.

I hope this helps.


(In reply to comment #16)
> I did some testing: With my original profile and configuration I can reproduce
> it with 2005071208 and later but not with 2005071007 and before. 
>
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=MOZILLA_1_7_BRANCH&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-07-10+07%3A00&maxdate=2005-07-12+08%3A00&cvsroot=%2Fcvsroot
> The latest build I tested and which fails is 2005071808. 
> 
> But I cannot reproduce it with a plain new profile, classic theme and standard
> POP3 account without any filters. Even if I tried to rebuild the filter
> structure (move all incoming to a self-created Inbox folder on Local folders
> account, all drafts/sent/template to local too) I cannot reproduce with that
> profile.
> 
> So it is interesting to know the configuration from the two other reporters
> <raoul@elforsoft.com> and <xsaarkphantom@gmail.com>. Please say us your
> configuration (POP or IMAP, pane view, filters, accounts).
> 
> Steps to reproduce for my original config/profile:
> You have start Mozilla at least two times (to have a xul.mfl). It affects only
> folders which have "changed" (received mail, sent mail, moved or deleted mail).
> Variant 1: Open Mailnews, go to say inbox (all Local Folders account), delete
> one or two messages, try to switch to trash, bingo! No update, js exception.
> Variant 2: Open Mailnews, go to Sent folder, open a message and forward it.
> Close opened msg and try to switch to e.g. Inbox. Bingo. For both examples:
> Switching between folders which are "unaffected" works as expected.
> 
> Hope this helps.

Comment 24 Raoul Nakhmanson-Kulish 2005-07-21 22:55:54 PDT
Dear Sirs and Madams!

There is a russian proverb "cut without knife". Today 1.7.10 release has this
bug too.

I'm an administrator of corporate network and Mozilla (and Mozilla Mail) is our
corporate standard application, which is automatically deploying and updating
via domain GPO.

This bug makes Mozilla Mail a terrible, completely inconvenient application. I
go to vacation on next two weeks and what must I do with this issue? Fall back
to 1.7.8 with it's security holes? Install an Outlook Express?

<censored> <censored> <censored>!!!

You should at least don't publish security advisories and don't release
milestone until blocker bugs like this aren't fixed.

Sorry for emotional message, but I really don't know how to calm my users.
Comment 25 H. Sickenberg 2005-07-22 01:16:19 PDT
I can confirm that problem on Linux with IMAP Folders in an extra account
Comment 26 Kai Engert (:kaie) 2005-07-22 02:16:42 PDT
I can confirm the bug with Linux and IMAP mail account, too.
I upgraded directly from 1.7.8 to 1.7.10 without having used any versions in
between.
I get the same error messages in the JavaScript console as mentioned in comment 2.
Comment 27 Wladimir Palant 2005-07-22 06:00:53 PDT
I have a large number of accounts (12 to be exact) set up in my profile and I
see this very annoying bug. The strange thing is: everything seems to work fine
as long as I stick with the first three accounts. The problems start immediately
after I move to the fourth account. Newsgroup accounts and Local Folders are
affected as well. That might be the reason why so many can't reproduce the bug.

Playing around with preferences I found out that disabling "Remember the last
selected message" fixes the problem.

Other configuration details: 3-pane layout, IMAP server is the first account,
two news accounts at the end of the list, Forumzilla 0.5.3 is installed (~20
blogs downloaded into separate subfolders in Local Folders).
Comment 28 Kai Engert (:kaie) 2005-07-22 07:40:54 PDT
Comment 16 contains the following link to 2 separate checkins made:
http://bonsai.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=MOZILLA_1_7_BRANCH&branchtype=match&dir=&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2005-07-10+07%3A00&maxdate=2005-07-12+08%3A00&cvsroot=%2Fcvsroot

I tried to back out both checkins.
I identified the culprit is 
  fix 294307 image policies for mail, r=bzbarsky, sr=mscott, a=jay

After backing out this patch it works again.


An additional note how to reproduce the bug, right after starting mozilla
- open mail
- select inbox
- select a message from inbox
- click on another folder
=> message list is not updated


If I back out the change it works again as expected.
Comment 29 Kai Engert (:kaie) 2005-07-22 07:44:33 PDT
Created attachment 190129 [details] [diff] [review]
culprit patch from bug 294307

Just for easier testing, this is the checkin that was made.
After reversing this patch folder updating works again for me.
I'll invalidate the patch to make it clear, this is just for informational
purposes, and not a suggestion how to fix the bug.
Comment 30 Kai Engert (:kaie) 2005-07-22 07:55:03 PDT
Created attachment 190134 [details]
crash backtrace during backout testing, just FYI

While I was testing, having the patch reversed, I ran into a crash, this is the
stacktrace. Just FYI.
Comment 31 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-07-22 08:01:42 PDT
So is the problem that we're blocking a URI load we should not be blocking?  Are
we missing a mailnews scheme from our whitelist?  What URI is used by the folder
display?
Comment 32 neil@parkwaycc.co.uk 2005-07-22 08:08:42 PDT
(In reply to comment #2)
>Error: [Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)" 
>location: "JS frame :: chrome://messenger/content/msgMail3PaneWindow.js ::
>ClearMessagePane :: line 1099"  data: no]
>Source File: chrome://messenger/content/msgMail3PaneWindow.js
>Line: 1099
1099         GetMessagePaneFrame().location = "about:blank";
Comment 33 Raoul Nakhmanson-Kulish 2005-07-22 08:18:27 PDT
Disabling "Remember the last selected message" doesn't work for me.
Comment 34 David :Bienvenu 2005-07-22 08:20:59 PDT
folder load runs either a mailbox, imap, or nntp url - I don't think it's going
to be that simple. My guess is that it's the ClearMessagePane that's failing in
some situations, and whatever url that runs.
Comment 35 David :Bienvenu 2005-07-22 08:55:48 PDT
*** Bug 301732 has been marked as a duplicate of this bug. ***
Comment 36 David :Bienvenu 2005-07-22 08:58:54 PDT
maybe we just need to allow about: urls...perhaps blocking images is making the
about:blank url fail.
Comment 37 Wladimir Palant 2005-07-22 09:04:27 PDT
(In reply to comment #28)
You are right, folder switching only fails after selecting some message (the
displayed message changes), it is 100% reproducible now. That's why disabling
"Remember the last selected message" seemed to solve the problem. 
Comment 38 David :Bienvenu 2005-07-22 09:04:38 PDT
Created attachment 190142 [details] [diff] [review]
proposed fix
[Checkin: See comment 53]

allow about: urls even if we're blocking images.
Comment 39 Kai Engert (:kaie) 2005-07-22 09:21:57 PDT
I tested the patch, it fixes the problem for me!
Comment 40 Rob Janssen 2005-07-22 10:11:16 PDT
Will there be a new release that includes this fix?
Like Raoul Nakhmanson-Kulish, we use this software in a corporate environment
and we certainly can't rollout with this bug.  Remaining at 1.7.8 for now...

In fact 1.7.10 broke something else which I fortunately could work around.  It
probably is related: We have a custom Mail Start Page.  External stylesheet on
the Mail Start Page is no longer loaded when remote images in mail/news are
disallowed.  (images on the Mail Start Page are not loaded in this case, but
that is bug 168805)
Comment 41 David :Bienvenu 2005-07-22 10:38:13 PDT
I believe the external style sheet blocking when image blocking is turned on was
on purpose, right, Boris? Do we need to change that?
Comment 42 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-07-22 10:41:11 PDT
Comment on attachment 190142 [details] [diff] [review]
proposed fix
[Checkin: See comment 53]

Yeah, this make sense.	And yes, remote stylesheets should be blocked.	Are
they not in Thunderbird?
Comment 43 Ashley Bischoff (blog at handcoding.com) 2005-07-22 11:02:19 PDT
(In reply to comment #42)
> And yes, remote stylesheets should be blocked. Are
> they not in Thunderbird?

Indeed, remote stylesheets are blocked in Thunderbird. 
Comment 44 Scott MacGregor 2005-07-22 11:24:18 PDT
Comment on attachment 190142 [details] [diff] [review]
proposed fix
[Checkin: See comment 53]

i still argue we're better off not trying to fix this on the branch :)

but this fix looks fine for the regression.
Comment 45 David :Bienvenu 2005-07-22 11:26:33 PDT
we don't seem to have a flag for 1.7.11 checkin approval, or I'd request it.
Comment 46 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-07-22 12:29:15 PDT
Is this code used only in the suite?
Comment 47 David :Bienvenu 2005-07-22 12:31:04 PDT
yes, that's my understanding, only used by the suite.
Comment 48 Kai Engert (:kaie) 2005-07-24 03:30:21 PDT
I've built myself updated RPM pakages of 1.7.10 for Fedora Core 3 that contain
just the patch for this bug in addition, to allow me for better testing on my
system. I can't provide builds for other systems, and I don't want to spread
them too much by uploading them to a public place, and I won't be providing any
support for the builds, but if anybody wants my unofficial FC3 RPM packages, let
me know by sending private mail.
Comment 49 OstGote! 2005-07-24 07:05:23 PDT
*** Bug 301918 has been marked as a duplicate of this bug. ***
Comment 50 OstGote! 2005-07-24 17:35:48 PDT
*** Bug 301948 has been marked as a duplicate of this bug. ***
Comment 51 Christian Wenz 2005-07-25 04:25:28 PDT
*** Bug 301996 has been marked as a duplicate of this bug. ***
Comment 52 Asa Dotzler [:asa] 2005-07-25 14:40:58 PDT
Comment on attachment 190142 [details] [diff] [review]
proposed fix
[Checkin: See comment 53]

Thanks for this fix. Please land as soon as possible.
Comment 53 David :Bienvenu 2005-07-25 15:25:41 PDT
fixed on 1.7.x branch
Comment 54 David :Bienvenu 2005-07-25 21:39:08 PDT
*** Bug 302138 has been marked as a duplicate of this bug. ***
Comment 55 Victor Kazmirenko 2005-07-26 01:29:55 PDT
(In reply to comment #9)
> Reporter: Are you using POP or IMAP?

For me described behaviour happens with news account. If I press spacebar to go
to next group, highlighting in the folder pane changes, but new message is not
loaded and previous one remains on screen. Sometimes even if I manually select
another news group its list is not loaded properly.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716
Remember last selected message is on
Startup page is off
Comment 56 Asa Dotzler [:asa] 2005-07-26 14:30:10 PDT
Can those of you who were experiencing this bug please get today's branch build
from http://mozilla.isc.org/pub/mozilla.org/mozilla/nightly/latest-1.7/ and
verify that this issue is indeed fixed? Thanks.
Comment 57 Dirk 2005-07-26 15:08:38 PDT
(In reply to comment #56)
> Can those of you who were experiencing this bug please get today's branch build
> from http://mozilla.isc.org/pub/mozilla.org/mozilla/nightly/latest-1.7/ and
> verify that this issue is indeed fixed? Thanks.

Unlike 2005-07-26-08-1.7 which I checked some hours ago this last version
(Gecko/20050726) seems to have fixed the problem. At least at a first glance I
couldn't reproduce the bug on a windows xp sp2 system.

Thanks a lot!

One more question: When can we expect a new release with this fix?
Comment 58 Wladimir Palant 2005-07-26 15:23:21 PDT
Confirmed, WFM on Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10)
Gecko/20050726
Comment 59 Victor Kazmirenko 2005-07-26 18:22:38 PDT
At a first glance WFM.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050726
Windows XP SP2
Comment 60 Mark Whybird 2005-07-26 19:33:30 PDT
Yes, awesome - works for me too. Huges thanks - this make the previous version
very annoying to use!

(apologies for the dupe bug I submitted, too, (which you marked within minutes
as a dupe of this one) - but I did search and still somehow didn't find this one.)
Comment 61 psantoro 2005-07-27 05:30:31 PDT
Just tried nightly/2005-07-25-21-1.7/mozilla-i686-pc-linux-gnu-gtk2+xft.tar.gz
and the problem appears to be fixed.
Comment 62 Asa Dotzler [:asa] 2005-07-27 13:27:13 PDT
Thanks for all of your feedback. This fix should be available in a Mozilla
1.7.11 release in the next few days.
Comment 63 David :Bienvenu 2005-07-28 06:37:08 PDT
*** Bug 302472 has been marked as a duplicate of this bug. ***
Comment 64 OstGote! 2005-07-28 09:46:46 PDT
*** Bug 302522 has been marked as a duplicate of this bug. ***
Comment 65 Claus Reibenstein 2005-07-29 23:22:52 PDT
(In reply to comment #27)

> Playing around with preferences I found out that disabling "Remember the last
> selected message" fixes the problem.

No. Not on my system (Windows XP SP2, Mozilla release 1.7.10, 1 POP3, 1 News). I
can still reproduce this error always.
Comment 66 Felix Miata 2005-07-30 17:44:40 PDT
*** Bug 302808 has been marked as a duplicate of this bug. ***
Comment 67 Gerrit P. Haase 2005-08-02 03:49:08 PDT
Wow, what a mess, I'm glad this was fixed so fast (and also this one: https://
bugzilla.mozilla.org/show_bug.cgi?id=301917 ), these TWO issues made Mail 
completely unusable!  I just reverted to 1.7.8 when I saw that 1.7.11 is out 
now.

I wonder how such TWO bad bugs in the UI could make it through to a release, is 
there no regression testing before doing a release???
Comment 68 David :Bienvenu 2005-08-02 09:07:26 PDT
*** Bug 303101 has been marked as a duplicate of this bug. ***
Comment 69 OstGote! 2005-08-02 17:15:29 PDT
*** Bug 301997 has been marked as a duplicate of this bug. ***
Comment 70 Raoul Nakhmanson-Kulish 2005-08-08 05:23:03 PDT
Really fixed in 1.7.11 release
Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.7.11) Gecko/20050728

Nice work, thanks!
Comment 71 David :Bienvenu 2005-08-09 11:58:27 PDT
*** Bug 303979 has been marked as a duplicate of this bug. ***
Comment 72 Stephen Donner [:stephend] 2005-08-15 21:53:28 PDT
*** Bug 304773 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.